    import {ValidatorInfo} from '@solana/web3'

public class | source

# ValidatorInfo

ValidatorInfo class

## Static Method Summary

Static Public Methods
public static | fromConfigData(buffer: Buffer): ValidatorInfo Deserialize ValidatorInfo from the config account data. |

## Constructor Summary

Public Constructor
public | constructor(key: PublicKey, info: Info) Construct a valid ValidatorInfo |

## Member Summary

Public Members
public | info: Info validator information |
public | key: PublicKey validator public key |

## Static Public Methods

### public static fromConfigData(buffer: Buffer): ValidatorInfo source

Deserialize ValidatorInfo from the config account data. Exactly two config keys are required in the data.

#### Params:

Name | Type | Attribute | Description
buffer | Buffer |  | config account data

#### Return:

ValidatorInfo (nullable: true) | null if info was not found

## Public Constructors

### public constructor(key: PublicKey, info: Info) source

Construct a valid ValidatorInfo

#### Params:

Name | Type | Attribute | Description
key | PublicKey |  | validator public key
info | Info |  | validator information

## Public Members

### public info: Info source

validator information

### public key: PublicKey source

validator public key